apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  namespace: asag
  name: gitlab-operator-0.0.0-eda12a25
spec:
  name: gitlab-operator
  version: 0.0.0-eda12a25
  includes:
    - vendor: asag
      name: defaults-operator
      version: 0.2.3
  clusters:
    - name: gitlab-operator
      flags:
        - key: v1_role
          from: value
          value: gitlab-operator
          to: label
      sizing:
        initial: 1
        minimum: 1
        maximum: 1
        increment: 0
      podspec:
        containers:
          - name: gitlab-operator
            image: aep/base_jammy
      topologyqueries:
        - name: allnodes
          format: array
          flags:
            - key: operator_identifier
              value: gitlab-operator
            - key: v1_role
              value: gitlab
          groupby:
            - v1_clusterid
            - v1_role
          scope: global
  operator:
    version: '1.0'
    flags:
      - key: operator_identifier
        from: value
        value: gitlab-operator
        to: label
  settings:
    - name: environment
      schema:
        default: gitlab_prod
